#ifndef FRMALBUM_H
#define FRMALBUM_H

#include <QWidget>
#include <QPushButton>
#include <QComboBox>
#include <QSet>
#include "panelwidget.h"
#include "frmimgshow.h"
#include "fileconfigdecode.h"`
#include <QHBoxLayout>

namespace Ui {
class FrmAlbum;
}

class FrmAlbum : public QWidget
{
    Q_OBJECT

public:
    explicit FrmAlbum(QWidget *parent = nullptr);
    ~FrmAlbum();

    // QSet<QString> getUrlSet();

    static int getCopyType();
public slots:
    void slot_updateImage();

private:
    Ui::FrmAlbum *ui;
    QList<QWidget*> picWidgetList;
    PanelWidget* panelWidget;
    QVBoxLayout* layout;
    void initForm();

    QPushButton* btnCopy;
    QPushButton* btnDelete;
    QPushButton* btnSelectAll;
    QComboBox* cbbCopyType;
    QHBoxLayout* menuLayout;
    QSpacerItem* spacerItem;

    QSet<QString> m_selectedImageSet;

    static int m_copyType;
};

#endif // FRMALBUM_H
